package com.gyee.frame.mapper.auto;

import com.gyee.frame.model.auto.Gyeeuser;
import com.gyee.frame.model.auto.GyeeuserExample;
import com.gyee.frame.model.auto.TsysUser;

import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 *  GyeeuserMapper
 * @author gyee_自动生成
 * @email 1@qq.com
 * @date 2020-04-15 16:48:37
 */
public interface GyeeuserMapper {
      	   	      	      	      	      
    long countByExample(GyeeuserExample example);

    int deleteByExample(GyeeuserExample example);
		
    int deleteByPrimaryKey(String id);
		
    int insert(Gyeeuser record);

    int insertSelective(Gyeeuser record);

    List<Gyeeuser> selectByExample(GyeeuserExample example);
		
    Gyeeuser selectByPrimaryKey(String id);
		
    int updateByExampleSelective(@Param("record") Gyeeuser record, @Param("example") GyeeuserExample example);

    int updateByExample(@Param("record") Gyeeuser record, @Param("example") GyeeuserExample example); 
		
    int updateByPrimaryKeySelective(Gyeeuser record);

    int updateByPrimaryKey(Gyeeuser record);
    
    String queryIdByUserNamePassWord(Gyeeuser gyeeuser);
  	  	
}